#include <bits/stdc++.h>

using namespace std;
int q(int n)
{if (n==1){return 1;}
else return (pow(-1,n+1)*n)+q(n-1);
}

int main() {
	ifstream f1("DQQT.INP");
	ofstream f2("DQQT.OUT");
	int n,i,p=0,gt=1;
	f1>>n;
	f2<<q(n)<<endl;
	for (i=1;i<=n;i++)
	{ gt=gt*i;
	  p=p+gt;
	}
	f2<<p;
	return 0;
}

